Bulletin de sécurité Microsoft MS15-106 - Critique

Mise à jour de sécurité cumulative pour Internet Explorer (3096441)

Date de publication : 13 octobre 2015 | Date de mise à jour : 27 octobre 2015

Version : 2.0

Cette mise à jour de sécurité corrige des vulnérabilités dans Internet Explorer. La plus grave de ces vulnérabilités pourrait permettre l'exécution de code à distance si un utilisateur affichait une page web spécialement conçue à l'aide d'Internet Explorer. Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Les clients dont les comptes sont configurés avec des privilèges moins élevés sur le système peuvent subir un impact inférieur à ceux possédant des privilèges d'administrateur.

Cette mise à jour de sécurité est de niveau « critique » pour Internet Explorer 7 (IE 7), Internet Explorer 8 (IE 8), Internet Explorer 9 (IE 9), Internet Explorer 10 (IE 10) et Internet Explorer 11 (IE 11) sur les clients Windows concernés, et de niveau « modéré » pour Internet Explorer 7 (IE 7), Internet Explorer 8 (IE 8), Internet Explorer 9 (IE 9), Internet Explorer 10 (IE 10) et Internet Explorer 11 (IE 11) sur les serveurs Windows concernés. Pour plus d'informations, consultez la section Logiciels concernés.

Cette mise à jour de sécurité résout les vulnérabilités en :

  • modifiant la manière dont Internet Explorer, JScript, VBScript et certaines fonctions traitent les objets en mémoire ;
  • ajoutant des validations d'autorisations supplémentaires à Internet Explorer ;

Pour plus d'informations sur les vulnérabilités, consultez la section Informations par vulnérabilité.

Pour plus d'informations sur cette mise à jour, voir l'Article 3096441 de la Base de connaissances Microsoft.

Les versions ou éditions répertoriées ci-dessous sont concernées. Les versions ou éditions non répertoriées ont atteint la fin de leur cycle de vie ou ne sont pas concernées. Consultez le site web Politique de Support Microsoft afin de connaître la politique de support Microsoft pour votre version ou édition.

Logiciels concernés 

Système d'exploitation

Composant

Impact de sécurité maximal

Indice de gravité cumulée

Mises à jour remplacées*

Internet Explorer 7

Windows Vista Service Pack 2

Internet Explorer 7 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Vista Édition x64 Service Pack 2

Internet Explorer 7 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes 32 bits Service Pack 2

Internet Explorer 7 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes x64 Service Pack 2

Internet Explorer 7 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes Itanium Service Pack 2

Internet Explorer 7 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Internet Explorer 8

Windows Vista Service Pack 2

Internet Explorer 8 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Vista Édition x64 Service Pack 2

Internet Explorer 8 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes 32 bits Service Pack 2

Internet Explorer 8 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes x64 Service Pack 2

Internet Explorer 8 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows 7 pour systèmes 32 bits Service Pack 1

Internet Explorer 8 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 7 pour systèmes x64 Service Pack 1

Internet Explorer 8 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 R2 pour systèmes x64 Service Pack 1

Internet Explorer 8 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows Server 2008 R2 pour systèmes Itanium Service Pack 1

Internet Explorer 8 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Internet Explorer 9

Windows Vista Service Pack 2

Internet Explorer 9 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Vista Édition x64 Service Pack 2

Internet Explorer 9 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes 32 bits Service Pack 2

Internet Explorer 9 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows Server 2008 pour systèmes x64 Service Pack 2

Internet Explorer 9 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows 7 pour systèmes 32 bits Service Pack 1

Internet Explorer 9 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 7 pour systèmes x64 Service Pack 1

Internet Explorer 9 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 R2 pour systèmes x64 Service Pack 1

Internet Explorer 9 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Internet Explorer 10

Windows 7 pour systèmes 32 bits Service Pack 1

Internet Explorer 10 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 7 pour systèmes x64 Service Pack 1

Internet Explorer 10 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 R2 pour systèmes x64 Service Pack 1

Internet Explorer 10 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows 8 pour systèmes 32 bits

Internet Explorer 10 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 8 pour systèmes x64

Internet Explorer 10 
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2012

Internet Explorer 10 
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows RT

Internet Explorer 10[1]
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Internet Explorer 11

Windows 7 pour systèmes 32 bits Service Pack 1

Internet Explorer 11
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 7 pour systèmes x64 Service Pack 1

Internet Explorer 11
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2008 R2 pour systèmes x64 Service Pack 1

Internet Explorer 11
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows 8.1 pour systèmes 32 bits

Internet Explorer 11
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 8.1 pour systèmes x64

Internet Explorer 11
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows Server 2012 R2

Internet Explorer 11
(3093983)

Exécution de code à distance

Modéré

3087038 dans le Bulletin MS15-094

Windows RT 8.1

Internet Explorer 11[1]
(3093983)

Exécution de code à distance

Critique

3087038 dans le Bulletin MS15-094

Windows 10 pour systèmes 32 bits [2]
(3105210)

Internet Explorer 11

Exécution de code à distance

Critique

3097617 Mise à jour cumulative

Windows 10 pour systèmes x64 [2]
(3105210)

Internet Explorer 11

Exécution de code à distance

Critique

3097617 Mise à jour cumulative


[1]Cette mise à jour est disponible via Windows Update.

[2]La mise à jour de Windows 10 est cumulative. Outre des mises à jour non liées à la sécurité, elle contient également l'ensemble des correctifs de sécurité pour toutes les vulnérabilités concernant Windows 10 fournis dans la mise à jour de sécurité de ce mois. Consultez l'Article 3097617 de la Base de connaissances Microsoft pour plus d'informations et pour obtenir les liens de téléchargement.

*La colonne Mises à jour remplacées n'affiche que la dernière mise à jour d'une série de mises à jour remplacées. Pour obtenir la liste complète des mises à jour remplacées, accédez au Catalogue Microsoft Update, recherchez le numéro d'article de la Base de connaissances, puis consultez les détails de la mise à jour (les informations sur les mises à jour remplacées figurent sous l'onglet Détails du package).

Remarque Windows Technical Preview 3 est concerné. Les clients exécutant ce système d'exploitation sont invités à appliquer la mise à jour, qui est disponible via Windows Update

Pour résoudre les vulnérabilités CVE-2015-2482, CVE-2015-6052, CVE-2015-6055 et CVE-2015-6059, quelles mises à jour peuvent être appliquées à mon système ?
CVE-2015-2482, CVE-2015-6052, CVE-2015-6055 et CVE-2015-6059 sont des vulnérabilités du moteur VBScript. Bien que le vecteur d'attaque passe par Internet Explorer, la vulnérabilité est corrigée par cette mise à jour (3093983) uniquement pour les systèmes exécutant Internet Explorer 8, Internet Explorer 9, Internet Explorer 10 et Internet Explorer 11. Pour Internet Explorer 7 et les versions antérieures et pour les systèmes sur lesquels Internet Explorer n'est pas installé, cette vulnérabilité est corrigée par la mise à jour décrite dans le Bulletin MS15-108.

La mise à jour qui corrige les vulnérabilités CVE-2015-2482, CVE-2015-6052, CVE-2015-6055 et CVE-2015-6059 dépend de la version des moteurs de script VBScript et JScript installés sur votre système. Consultez le tableau suivant pour obtenir des informations concernant la mise à jour.

Version

MS15-106

MS15-108

VBScript 5.7 
(Internet Explorer 7)

Non applicable

VBScript 5.7 
(3094996)

VBScript 5.8 
(Internet Explorer 8)

Internet Explorer 8
(3093983)

VBScript 5.8 
(3094995)
(Installation Server Core de Windows sur Windows Server 2008 R2 uniquement)

VBScript 5.8 
(Internet Explorer 9)

Internet Explorer 9
(3093983)

Non applicable

VBScript 5.8 
(Internet Explorer 10)

Internet Explorer 10
(3093983)

Non applicable

VBScript 5.8 
(Internet Explorer 11)

Internet Explorer 11
(3093983)

Non applicable

 

Les indices de gravité suivants considèrent l'impact potentiel maximal de la vulnérabilité. Pour plus d'informations sur les risques dans les 30 jours suivant la publication d'un Bulletin concernant l'exploitabilité de la vulnérabilité par rapport à son indice de gravité et à son impact, consultez l'Indice d'exploitabilité dans la synthèse des Bulletins de sécurité d'octobre.

Le cas échéant, dans le tableau Indices de gravité et impact, les valeurs « Critique », « Important » et « Modéré » correspondent aux indices de gravité. Pour plus d'informations, consultez l'article consacré au système d'indices de gravité pour les Bulletins de sécurité. Reportez-vous à la légende suivante afin de connaître les abréviations utilisées dans le tableau pour indiquer l'impact maximal :

Abréviation

Impact maximal

RCE

Exécution de code à distance

EoP

Élévation de privilèges

ID

Divulgation d'informations

SFB

Contourner la fonctionnalité de sécurité

 

Indices de gravité par vulnérabilité et impact

Numéro CVE

Titre de la vulnérabilité

Internet Explorer 7

Internet Explorer 8

Internet Explorer 9

Internet Explorer 10

Internet Explorer 11

Internet Explorer 11
sous Windows 10

CVE-2015-2482

Vulnérabilité de corruption de mémoire dans le moteur de script

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6042

Vulnérabilité de corruption de mémoire dans Internet Explorer

Non applicable

Non applicable

Non applicable

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Non applicable

CVE-2015-6044

Vulnérabilité d'élévation de privilèges dans Internet Explorer

Non applicable

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Non applicable

Non applicable

Non applicable

Non applicable

CVE-2015-6045

Vulnérabilité de corruption de mémoire dans Internet Explorer

Non applicable

Non applicable

Non applicable

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6046

Vulnérabilité de corruption de mémoire dans Internet Explorer

Non applicable

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6047

Vulnérabilité d'élévation de privilèges dans Internet Explorer

Non applicable

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

CVE-2015-6048

Vulnérabilité de corruption de mémoire dans Internet Explorer

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Non applicable

CVE-2015-6049

Vulnérabilité de corruption de mémoire dans Internet Explorer

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6050

Vulnérabilité de corruption de mémoire dans Internet Explorer

Non applicable

Non applicable

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Non applicable

Non applicable

CVE-2015-6051

Élévation de privilèges dans Internet Explorer

Non applicable

Non applicable

Non applicable

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

Non applicable

CVE-2015-6052

Contournement d'ASLR dans VBScript et JScript

Non applicable

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

CVE-2015-6053

Vulnérabilité de divulgation d'informations dans Internet Explorer

Non applicable

Non applicable

Non applicable

Non applicable

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

CVE-2015-6055

Vulnérabilité de corruption de mémoire dans le moteur de script

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6056

Vulnérabilité de corruption de mémoire dans le moteur de script

Non applicable

Non applicable

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6059

Vulnérabilité de divulgation d'informations dans un moteur de script

Non applicable

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

Clients Windows :
Important/ID

Serveurs Windows :
Faible/ID

Plusieurs vulnérabilités de corruption de mémoire dans Internet Explorer

Il existe des vulnérabilités d'exécution de code à distance lorsqu'Internet Explorer accède de façon incorrecte à des objets en mémoire. Ces vulnérabilités pourraient corrompre la mémoire et permettre à un attaquant d'exécuter du script arbitraire dans le contexte de l'utilisateur actuel.

Un attaquant pourrait héberger un site web spécialement conçu pour exploiter ces vulnérabilités via Internet Explorer, puis inciter un utilisateur à consulter ce site. L'attaquant pourrait également exploiter des sites web compromis et des sites web qui acceptent ou hébergent du contenu ou des annonces provenant d'utilisateurs qui pourraient contenir du code spécialement conçu susceptible d'exploiter ces vulnérabilités. Toutefois, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à afficher le contenu contrôlé par l'attaquant. Il devrait convaincre l'utilisateur de le faire, généralement en l'incitant à cliquer sur un lien dans un message électronique ou un message instantané qui mène au site web de l'attaquant, ou en l'incitant à ouvrir une pièce jointe envoyée par message électronique.

Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Si l'utilisateur actuel a ouvert une session avec des privilèges d'administrateur, un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait prendre le contrôle d'un système affecté. L'attaquant pourrait alors installer des programmes, afficher, modifier ou supprimer des données, ou créer des comptes dotés de tous les privilèges. Les systèmes sur lesquels Internet Explorer est fréquemment utilisé (comme les postes de travail ou les serveurs Terminal Server) sont les plus exposés à ces vulnérabilités.

Cette mise à jour corrige les vulnérabilités en modifiant la façon dont Internet Explorer traite les objets en mémoire.

Le tableau suivant contient des liens vers l'entrée standard correspondant à chaque vulnérabilité dans la liste Common Vulnerabilities and Exposures (CVE) :

Titre de la vulnérabilité

Numéro CVE

Révélée publiquement

Exploitée

Vulnérabilité de corruption de mémoire dans Internet Explorer

CVE-2015-6042

Non

Non

Vulnérabilité de corruption de mémoire dans Internet Explorer

CVE-2015-6045

Non

Non

Vulnérabilité de corruption de mémoire dans Internet Explorer

CVE-2015-6046

Non

Non

Vulnérabilité de corruption de mémoire dans Internet Explorer

CVE-2015-6048

Non

Non

Vulnérabilité de corruption de mémoire dans Internet Explorer

CVE-2015-6049

Non

Non

Vulnérabilité de corruption de mémoire dans Internet Explorer

CVE-2015-6050

Non

Non

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour ces vulnérabilités.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour ces vulnérabilités.

Forum aux questions

J'exécute Internet Explorer sur Windows Server 2008, Windows Server 2008 R2, Windows Server 2012 ou Windows Server 2012 R2. Ceci atténue-t-il ces vulnérabilités ? 
Oui. Par défaut, Internet Explorer sur Windows Server 2008, Windows Server 2008 R2, Windows Server 2012 et Windows Server 2012 R2 s'exécute selon un mode restreint appelé Configuration de sécurité renforcée. La Configuration de sécurité renforcée est un groupe de paramètres Internet Explorer préconfigurés qui réduit le risque qu'un utilisateur ou qu'un administrateur ne télécharge et n'exécute un contenu web spécialement conçu sur un serveur. Il s'agit d'un facteur atténuant pour les sites web qui n'ont pas été ajoutés à la zone Sites de confiance d'Internet Explorer.

L'EMET peut-t-il contribuer à atténuer les attaques qui tenteraient d'exploiter ces vulnérabilités ? 
Oui. L'EMET (Enhanced Mitigation Experience Toolkit) permet aux utilisateurs de gérer les technologies d'atténuation de sécurité ayant pour but de compliquer pour les attaquants l'exploitation des vulnérabilités de corruption de mémoire dans une partie de logiciel donnée. L'EMET peut contribuer à l'atténuation de ces attaques visant à exploiter ces vulnérabilités dans Internet Explorer sur les systèmes où il est installé et configuré de manière à fonctionner avec Internet Explorer.

Pour plus d'informations sur l'EMET, consultez la page consacrée à EMET (Enhanced Mitigation Experience Toolkit).

Plusieurs vulnérabilités de corruption de mémoire dans le moteur de script

Il existe des vulnérabilités dans le rendu de moteurs VBScript et JScript lorsqu'ils traitent des objets en mémoire dans Internet Explorer. Dans le cas d'une attaque web, un attaquant pourrait héberger un site web spécialement conçu pour exploiter ces vulnérabilités via Internet Explorer, puis inciter un utilisateur à consulter ce site web. Un attaquant pourrait également intégrer un contrôle ActiveX marqué « sûr pour l'initialisation » à une application ou à un document Microsoft Office qui héberge le moteur de rendu d'IE. L'attaquant pourrait également exploiter des sites web compromis et des sites web qui acceptent ou hébergent du contenu ou des annonces fournis par les utilisateurs. Ces sites web pourraient contenir du code spécialement conçu pour exploiter ces vulnérabilités.

Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Si l'utilisateur actuel a ouvert une session avec des droits d'administrateur, un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait prendre le contrôle d'un système affecté. L'attaquant pourrait alors installer des programmes, afficher, modifier ou supprimer des données, ou créer des comptes dotés de tous les privilèges.

Cette mise à jour corrige les vulnérabilités en modifiant la façon dont les moteurs de script VBScript et JScript traitent les objets en mémoire.

Le tableau suivant contient des liens vers l'entrée standard correspondant à chaque vulnérabilité dans la liste Common Vulnerabilities and Exposures (CVE) :

Titre de la vulnérabilité

Numéro CVE

Révélée publiquement

Exploitée

Vulnérabilité de corruption de mémoire dans le moteur de script

CVE-2015-2482

Non

Non

Vulnérabilité de corruption de mémoire dans le moteur de script

CVE-2015-6055

Non

Non

Vulnérabilité de corruption de mémoire dans le moteur de script

CVE-2015-6056

Oui

Non

 

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Les solutions de contournement suivantes peuvent être utiles, selon votre situation :

  • Restreindre l'accès à VBScript.dll et JScript.dll
    • Pour les systèmes 32 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      takeown /f %windir%\system32\vbscript.dll 
      cacls %windir%\system32\vbscript.dll /E /P everyone:N
      cacls %windir%\system32\jscript.dll /E /P everyone:N
      
    • Pour les systèmes 64 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      takeown /f %windir%\syswow64\vbscript.dll 
      cacls %windir%\syswow64\vbscript.dll /E /P everyone:N
      cacls %windir%\syswow64\jscript.dll /E /P everyone:N
      

    Impact de cette solution de contournement. Les sites web qui utilisent VBScript ou JScript risquent de ne pas fonctionner correctement.

    Procédure d'annulation de cette solution de contournement :

    • Pour les systèmes 32 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      cacls %windir%\system32\vbscript.dll /E /R everyone
      cacls %windir%\system32\jscript.dll /E /R everyone
      
    • Pour les systèmes 64 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      cacls %windir%\syswow64\vbscript.dll /E /R everyone
      cacls %windir%\syswow64\jscript.dll /E /R everyone
      

Plusieurs vulnérabilités d'élévation des privilèges dans Internet Explorer

Il existe des vulnérabilités d'élévation de privilèges lorsqu'Internet Explorer ne valide pas correctement les autorisations dans certaines conditions, permettant potentiellement l'exécution d'un script avec des privilèges élevés.

Dans le cas d'une attaque web, l'attaquant devrait héberger un site web conçu pour tenter d'exploiter cette vulnérabilité. En outre, les sites web compromis et les sites web qui acceptent ou hébergent du contenu provenant d'utilisateurs pourraient contenir du contenu spécialement conçu pour exploiter cette vulnérabilité. Toutefois, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à afficher le contenu contrôlé par l'attaquant. L'attaquant devrait convaincre les utilisateurs d'exécuter une action. Par exemple, l'attaquant pourrait inciter l'utilisateur à cliquer sur un lien qui mène à son site. Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait élever ses privilèges dans les versions affectées d'Internet Explorer.

Ces vulnérabilités ne suffisent pas pour exécuter du code arbitraire. Toutefois, les vulnérabilités pourraient être utilisées en combinaison avec une autre vulnérabilité (par exemple, une vulnérabilité d'exécution de code à distance) qui pourrait profiter de l'élévation de privilèges lors de l'exécution de code arbitraire. Par exemple, un attaquant pourrait exploiter une autre vulnérabilité pour exécuter du code arbitraire via Internet Explorer, mais en raison du contexte dans lequel les processus sont lancés par Internet Explorer, le code pourrait être limité à une exécution à un niveau d'intégrité faible (autorisations très limitées). Toutefois, un attaquant pourrait, à son tour, exploiter les vulnérabilités pour que le code arbitraire s'exécute à un niveau d'intégrité moyen (autorisations de l'utilisateur actuel).

Cette mise à jour corrige les vulnérabilités en ajoutant des validations d'autorisations à Internet Explorer.

Le tableau suivant contient des liens vers l'entrée standard correspondant à chaque vulnérabilité dans la liste Common Vulnerabilities and Exposures (CVE) :

Titre de la vulnérabilité

Numéro CVE

Révélée publiquement

Exploitée

Vulnérabilité d'élévation de privilèges dans Internet Explorer

CVE-2015-6044

Non

Non

Vulnérabilité d'élévation de privilèges dans Internet Explorer

CVE-2015-6047

Non

Non

Vulnérabilité d'élévation de privilèges dans Internet Explorer

CVE-2015-6051

Non

Non

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Les solutions de contournement suivantes peuvent être utiles, selon votre situation :

  • Supprimer l'association de fichier .rdp

    Méthode interactive :

    1. Cliquez sur Démarrer, sur Exécuter, tapez regedit, puis cliquez sur OK.
    2. Développez HKEY_CLASSES_ROOT, cliquez sur RDP.File, puis sur le menu Fichier et sélectionnez Exporter.
    3. Dans la boîte de dialogue Exporter un fichier du Registre, entrez RDPfile HKCR file association registry backup.reg et cliquez sur Enregistrer.
      Remarque Par défaut, ceci crée une sauvegarde de cette clé de Registre dans le dossier « Mes Documents ».
    4. Appuyez sur la touche Suppr du clavier pour supprimer la clé de Registre. Lorsque vous êtes invité à supprimer la valeur de Registre, cliquez sur Oui.
    5. Développez HKEY_CURRENT_USER, puis Software, Microsoft, Windows, CurrentVersion, Explorer et enfin FileExts.
    6. Cliquez sur .rdp, puis sur le menu Fichier et sélectionnez Exporter.
    7. Dans la boîte de dialogue Exporter un fichier du Registre, entrez rdp HKCU file association registry backup.reg et cliquez sur Enregistrer.
      Remarque Par défaut, ceci crée une sauvegarde de cette clé de Registre dans le dossier « Mes Documents ».
    8. Appuyez sur la touche Suppr du clavier pour supprimer la clé de Registre. Lorsque vous êtes invité à supprimer la valeur de Registre, cliquez sur Oui.


    Méthode de script de déploiement géré :

    1. Créez une copie de sauvegarde des clés de Registre depuis un script de déploiement à l'aide de la commande suivante :
      Regedit.exe /e rdpfile_HKCR_registry_backup.reg HKEY_CLASSES_ROOT\RDP.File
      Regedit.exe /e rdp_HKCU_registry_backup.reg HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.rdp
      
    2. Enregistrez ce qui suit dans un fichier portant l'extension .REG (par ex. Delete_rdp_file_association.reg) :
      Windows Registry Editor Version 5.00
      [-HKEY_CLASSES_ROOT\RDP.File]
      [-HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.rdp]
      
    3. Exécutez le script de Registre créé à l'étape 2 sur le système cible à l'aide de la commande suivante :
      Regedit.exe /s Delete_rdp_file_association.reg
      

    Impact de cette solution de contournement. Un double-clic sur un fichier .rdp ne lance plus mstsc.exe.

    Procédure d'annulation de cette solution de contournement :

    Restaurez la clé de Registre en utilisant Regedit pour restaurer les paramètres enregistrés dans les fichiers .REG.

Vulnérabilité de divulgation d'informations dans Internet Explorer - CVE-2015-6053

Il existe une vulnérabilité de divulgation d'informations lorsqu'Internet Explorer ne divulgue pas correctement le contenu de sa mémoire.

Un attaquant qui parviendrait à exploiter cette vulnérabilité pourrait obtenir des informations permettant de compromettre davantage le système de l'utilisateur.

Cette mise à jour corrige la vulnérabilité en modifiant la façon dont certaines fonctions traitent les objets en mémoire. Microsoft a été informée de cette vulnérabilité par une divulgation de vulnérabilité coordonnée. Lors de la publication initiale de ce Bulletin, Microsoft n'avait reçu aucune information faisant état d'une utilisation des vulnérabilités dans le but d'attaquer des clients.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Contournement d'ASLR dans VBScript et JScript - CVE-2015-6052

Il existe un contournement de la fonctionnalité de sécurité lorsque les moteurs VBScript et JScript n'utilisent pas la fonctionnalité de sécurité de randomisation du format d'espace d'adresse (ASLR), qui permet à un attaquant de prévoir de manière plus fiable les décalages de mémoire d'instructions spécifiques dans une pile d'appels donnée. Le contournement de la fonctionnalité de sécurité ne suffit pas pour exécuter du code arbitraire. Toutefois, un attaquant pourrait utiliser le contournement d'ASLR en combinaison avec une autre vulnérabilité, telle qu'une vulnérabilité d'exécution de code à distance, qui profiterait du contournement d'ASLR pour exécuter de manière plus fiable du code arbitraire sur un système cible.

Dans un scénario de navigation web, une exploitation réussie de ce contournement nécessite qu'un utilisateur ouvre une session, exécute une version concernée d'Internet Explorer et accède à un site web malveillant. C'est pourquoi les systèmes sur lesquels un navigateur web est fréquemment utilisé (tels que les postes de travail ou les serveurs Terminal Server) sont les plus exposés à ce contournement. Les serveurs pourraient être plus exposés si les administrateurs autorisaient les utilisateurs à naviguer sur Internet et à consulter leur messagerie électronique depuis ceux-ci. Toutefois, les meilleures pratiques recommandent vivement de ne pas autoriser cela.

Cette mise à jour corrige le contournement d'ASLR en veillant à ce que les versions affectées de VBScript implémentent correctement la fonctionnalité de sécurité ASLR. Microsoft a été informée de cette vulnérabilité par une divulgation de vulnérabilité coordonnée. Lors de la publication initiale de ce Bulletin, Microsoft n'avait reçu aucune information faisant état d'une utilisation de cette vulnérabilité dans le but d'attaquer des clients.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Les solutions de contournement suivantes peuvent être utiles, selon votre situation :

  • Limiter l'accès à VBScript.dll
    • Pour les systèmes 32 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      takeown /f %windir%\system32\vbscript.dll 
      cacls %windir%\system32\vbscript.dll /E /P everyone:N
      
    • Pour les systèmes 64 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      takeown /f %windir%\syswow64\vbscript.dll 
      cacls %windir%\syswow64\vbscript.dll /E /P everyone:N
      

    Impact de cette solution de contournement. Les sites web qui utilisent VBScript risquent de ne pas fonctionner correctement.

    Procédure d'annulation de cette solution de contournement :

    • Pour les systèmes 32 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      cacls %windir%\system32\vbscript.dll /E /R everyone
      
    • Pour les systèmes 64 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      cacls %windir%\syswow64\vbscript.dll /E /R everyone
      

Vulnérabilité de divulgation d'informations liée au moteur de script - CVE-2015-6059

Il existe une vulnérabilité de divulgation d'informations lorsque JScript ou VBScript divulgue de manière incorrecte le contenu de sa mémoire, ce qui pourrait fournir à un attaquant des informations permettant de compromettre davantage l'ordinateur ou les données de l'utilisateur.

Pour exploiter cette vulnérabilité, un attaquant doit connaître l'adresse mémoire d'où l'objet a été créé. Cette mise à jour corrige la vulnérabilité en modifiant la façon dont certaines fonctions traitent les objets en mémoire.

Microsoft a été informée de cette vulnérabilité par une divulgation de vulnérabilité coordonnée. Lors de la publication initiale de ce Bulletin, Microsoft n'avait reçu aucune information faisant état d'une utilisation de cette vulnérabilité dans le but d'attaquer des clients.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Les solutions de contournement suivantes peuvent être utiles, selon votre situation :

  • Limiter l'accès à VBScript.dll
    • Pour les systèmes 32 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      takeown /f %windir%\system32\vbscript.dll 
      cacls %windir%\system32\vbscript.dll /E /P everyone:N
      
    • Pour les systèmes 64 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      takeown /f %windir%\syswow64\vbscript.dll 
      cacls %windir%\syswow64\vbscript.dll /E /P everyone:N
      

    Impact de cette solution de contournement. Les sites web qui utilisent VBScript risquent de ne pas fonctionner correctement.

    Procédure d'annulation de cette solution de contournement :

    • Pour les systèmes 32 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      cacls %windir%\system32\vbscript.dll /E /R everyone
      
    • Pour les systèmes 64 bits, entrez la commande suivante à partir d'une invite de commandes d'administration :
      cacls %windir%\syswow64\vbscript.dll /E /R everyone
      

Pour plus d'informations sur le déploiement des mises à jour de sécurité, consultez l'article de la Base de connaissances Microsoft référencé ici dans la synthèse.

Microsoft reconnaît les efforts des professionnels de la sécurité qui contribuent à protéger les clients par une divulgation coordonnée des vulnérabilités. Reportez-vous à la page Remerciements pour plus d'informations.

Les informations contenues dans la Base de connaissances Microsoft sont fournies « en l'état », sans garantie d'aucune sorte. Microsoft exclut toute garantie expresse ou implicite, notamment toute garantie de qualité et d'adéquation à un usage particulier. En aucun cas, la société Microsoft ou ses fournisseurs ne pourront être tenus pour responsables de quelque dommage que ce soit, y compris toute perte de bénéfices directe, indirecte ou accessoire, ou de dommages spéciaux, même si la société Microsoft a été prévenue de l'éventualité de tels dommages. Certains pays n'autorisent pas l'exclusion ou la limitation de responsabilité pour les dommages indirects ou accessoires, de sorte que la restriction mentionnée ci-dessus peut ne pas vous concerner.

  • V1.0 (13 octobre 2015) : Bulletin publié.
  • V1.1 (14 octobre 2015) : Bulletin mis à jour pour corriger l'impact sur la sécurité et la gravité pour CVE-2015-6046. Il s'agit d'une modification purement informative.
  • V1.2 (16 octobre 2015) : Bulletin mis à jour pour annoncer une modification de la logique de détection dans la mise à jour cumulative 3097617 pour Windows 10. Il ne s'agit que d'une modification de la détection. Nos clients ayant déjà mis à jour leur système n'ont pas besoin d'entreprendre de nouvelle action.
  • V2.0 (27 octobre 2015) Bulletin mis à jour pour annoncer la publication d'une nouvelle mise à jour cumulative de Windows 10 (3105210) afin de corriger une vulnérabilité supplémentaire, CVE-2015-6045, qui a été ajoutée à ce Bulletin. Seuls les clients qui exécutent des systèmes Windows 10 doivent installer cette nouvelle mise à jour. Les systèmes antérieurs ne sont pas concernés ou ont bénéficié du correctif des mises à jour initiales du 13 octobre 2015. Consultez l'Article 3105210 de la Base de connaissances Microsoft pour plus d'informations et pour obtenir les liens de téléchargement.
Page générée le 26/10/2015 15:28:00-07:00.
Afficher: